Ticket #13060: valgrind-3.8.1.diff

File valgrind-3.8.1.diff, 2.3 KB (added by jpflori, 8 years ago)

spkg diff, for review only

  • SPKG.txt

    diff --git a/SPKG.txt b/SPKG.txt
    a b  
    4141
    4242== Changelog ==
    4343
     44=== valgrind-3.8.1 (Jean-Pierre Flori, 24 December 2012) ===
     45 * #13060: update Valgrind to version 3.8.1.
     46
    4447=== valgrind-3.7.0 (Ivan Andrus, February 16th, 2012)  ===
    4548 * update to 3.7.0
    4649 * removed call to autoreconf
  • spkg-check

    diff --git a/spkg-check b/spkg-check
    a b  
    11#!/usr/bin/env bash
    22
    3 if [ "$SAGE_LOCAL" = "" ]; then
    4    echo "SAGE_LOCAL undefined ... exiting";
    5    echo "Maybe run 'sage -sh'?"
    6    exit 1
     3if [ -z "$SAGE_LOCAL" ] ; then
     4    echo >&2 "Error - SAGE_LOCAL undefined ... exiting"
     5    echo >&2 "Maybe run 'sage -sh'?"
     6    exit 1
    77fi
    88
    99cd src/
    1010
    1111$MAKE regtest
    12 
    1312if [ $? -ne 0 ]; then
    1413    echo >&2 "Error testing Valgrind"
    1514    exit 1
  • spkg-install

    diff --git a/spkg-install b/spkg-install
    a b  
    11#!/usr/bin/env bash
    22
    3 VALGRIND_VERSION="3.7.0"
     3VALGRIND_VERSION="3.8.1"
    44
    5 if [ "$SAGE_LOCAL" = "" ]; then
    6    echo "SAGE_LOCAL undefined ... exiting";
    7    echo "Maybe run 'sage -sh'?"
    8    exit 1
     5
     6if [ -z "$SAGE_LOCAL" ] ; then
     7    echo >&2 "Error - SAGE_LOCAL undefined ... exiting"
     8    echo >&2 "Maybe run 'sage -sh'?"
     9    exit 1
    910fi
    1011
    11 if [ "`uname`" = "Linux" ]; then
     12if [ "$UNAME" = "Linux" ]; then
    1213    echo "Good - Valgrind works on Linux"
    1314    if [ "`uname -p`" = "ia64" ]; then
    1415        echo >&2 "But it does not work on Itanium"
     
    1718else
    1819    if [ "$UNAME" = "Darwin" ] && [ -z "`uname -p | grep PPC`" ] && [ `uname -r | grep -Eo '^[0-9]+'` -ge 9 ];
    1920    then
    20         echo "Good - Valgrind works on x86/Darwin 9.x or 10.x"
     21        echo "Good - Valgrind works on x86 and AMD64 Darwin 9.x or 10.x"
    2122    else
    2223        echo >&2 "Sorry, Valgrind only works on x86,AMD64,PPC32,PPC64,ARM Linux"
    2324        echo >&2 "and x86,AMD64 on Darwin 9.x/10.x"\
    24             "(Mac OS X 10.5.x, 10.6.x, 10.7.x)"
     25            "(Mac OS X 10.5.x or later)"
    2526        exit 1
    2627    fi
    2728fi
     
    2930cd src/
    3031
    3132./configure --prefix=$SAGE_LOCAL
    32 
    3333if [ $? -ne 0 ]; then
    3434    echo >&2 "Error configuring Valgrind $VALGRIND_VERSION"
    3535    exit 1
    3636fi
    3737
    3838$MAKE
    39 
    4039if [ $? -ne 0 ]; then
    4140    echo >&2 "Error building Valgrind $VALGRIND_VERSION"
    4241    exit 1
    4342fi
    4443
    4544$MAKE install
    46 
    4745if [ $? -ne 0 ]; then
    4846    echo >&2 "Error installing Valgrind $VALGRIND_VERSION"
    4947    exit 1